BITMAP_FOLD(9)

NAME
bitmap_fold - fold larger bitmap into smaller, modulo specified size

SYNOPSIS

void bitmap_fold(unsigned long * dst, const unsigned long * orig, int sz, int bits);

ARGUMENTS

dst
    resulting smaller bitmap

orig
    original larger bitmap

sz
    specified size

bits
    number of bits in each of these bitmaps

DESCRIPTION

For each bit oldbit in orig, set bit oldbit mod sz in dst. Clear all other bits in dst. See further the comment and Example [2] for bitmap_onto for why and how to use this.

COPYRIGHT